<?xml version="1.0" encoding="windows-1251"?>

<xsl:stylesheet
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	version="1.0">

<xsl:output method="html" encoding="windows-1251" indent="yes"/>

<xsl:template match="/">
   <html>
   <head>
   </head>
    <body>
    <center>
        <xsl:call-template name="head"/><br/>
        <xsl:call-template name="table"/><br/>
        <xsl:call-template name="sums"/>
    </center>
    </body>
    </html>
</xsl:template>

<xsl:template name="head">
    <xsl:for-each select="/data/table">
         <h2><xsl:value-of select="@reportTitle"/><br/>
         :&#160;<xsl:value-of select="@contractTitle"/>(<xsl:value-of select="@comment"/>)
         </h2><br/>
          : <xsl:value-of select="@date1"/>  <xsl:value-of select="@date2"/>
    </xsl:for-each>
</xsl:template>

<xsl:template name="table">
<table width="100%" border="1" cellspacing="0" cellpadding="3">
     <tr bgcolor="#f0f0f0">  
         <td></td>       
         <td></td>
         <td> </td>
         <td></td>
         <td> .</td>
         <td></td>
     </tr>
     <xsl:for-each select="/data/table/data/row">
         <tr bgcolor="#ffffff">
             <td><xsl:value-of select="@item"/></td>
             <td><xsl:value-of select="@dest"/></td>
             <td><xsl:value-of select="@number"/></td>
             <td><xsl:value-of select="@time"/></td>
             <td><xsl:value-of select="@time_round"/></td>
             <td><xsl:value-of select="@cost"/></td>
         </tr>
     </xsl:for-each>
</table>
</xsl:template>

<xsl:template name="sums">
    <br/>
	 :&#160;<xsl:value-of select="/data/table/@total_number"/>&#160;
     [ ]:&#160;<xsl:value-of select="/data/table/@total_time"/>&#160;
     . [ ]:&#160;<xsl:value-of select="/data/table/@total_time_round"/>&#160;
     [ ]:&#160;<xsl:value-of select="/data/table/@total_cost"/>&#160;
</xsl:template>

</xsl:stylesheet>
